%define gtkmm_version 2.8.0
%define libgnome_version 2.6.0

%define major 1

%define pkgname libgnomemm
%define api_version 2.6
%define libname_orig	%mklibname gnomemm %api_version
%define libname		%mklibname gnomemm %api_version %{major}
%define develname %mklibname -d gnomemm %api_version

Summary: 	A C++ wrapper for libgnome
Name: 		%{pkgname}%{api_version}
Version: 	2.30.0
Release: 	%mkrel 14
License: 	LGPLv2+
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
Source: 	https://download.gnome.org/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gtkmm-2.4) >= %{gtkmm_version}
BuildRequires:	pkgconfig(libgnome-2.0) >= %{libgnome_version}
Buildrequires:	doxygen

%description
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{develname}
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	gtkmm2.4-devel >= %{gtkmm_version}
Requires:	libgnome2-devel >= %{libgnome_version}
Obsoletes: %mklibname -d gnomemm %api_version %{major}

%description -n %develname
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{pkgname},
the C++ interface to libgnome library.

It is necessary when compiling applications which use %{pkgname} as well.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

%install
%make_install
find %buildroot -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/libgnomemm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc COPYING ChangeLog NEWS docs/reference/html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}


%changelog
* Wed Aug 05 2020 joequant <joequant> 2.30.0-14.mga8
+ Revision: 1611079
- revert arm fix

* Wed Apr 22 2020 ovitters <ovitters> 2.30.0-13.mga8
+ Revision: 1570880
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 2.30.0-12.mga8
+ Revision: 1514114
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.30.0-11.mga7
+ Revision: 1298880
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.30.0-10.mga7
+ Revision: 1234094
- fix build on aarch64

* Thu Feb 11 2016 umeabot <umeabot> 2.30.0-9.mga6
+ Revision: 955558
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 wally <wally> 2.30.0-8.mga6
+ Revision: 869061
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-7.mga5
+ Revision: 739623
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.30.0-6.mga5
+ Revision: 681499
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.30.0-5.mga4
+ Revision: 507065
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.30.0-4.mga3
+ Revision: 357272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 04 2011 fwang <fwang> 2.30.0-3.mga2
+ Revision: 131773
- do not ship .la files

* Thu Feb 03 2011 dmorgan <dmorgan> 2.30.0-2.mga1
+ Revision: 46605
- Remove mdv macros
- imported package libgnomemm2.6

